Glance test suite failure on precise due to bypass of upstream test wrapper

Bug #1236376 reported by Chuck Short on 2013-10-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
glance (Ubuntu)
High
Chuck Short
Saucy
High
Chuck Short

Bug Description

======================================================================
ERROR: glance.tests.unit.test_notifier.TestRabbitContentType.test_content_type_passed
----------------------------------------------------------------------
_StringException: Traceback (most recent call last):
  File "/build/buildd/glance-2013.2~rc1/glance/tests/unit/test_notifier.py", line 473, in test_content_type_passed
    self.assertEquals(self.called['content_type'], 'application/json')
TypeError: 'bool' object has no attribute '__getitem__'

-------------------- >> begin captured logging << --------------------
2013-10-04 15:08:56.432 13815 DEBUG glance.notifier [-] Converted strategy alias rabbit to glance.notifier.notify_kombu.RabbitStrategy __init__ /build/buildd/glance-2013.2~rc1/glance/notifier/__init__.py:64
--------------------- >> end captured logging << ---------------------

----------------------------------------------------------------------

James Page (james-page) wrote :

Although the test failure is not seen in Saucy, we are currently incorrectly running unit tests using nosetests directly; the proposed fix uses the run_test.sh wrapper which also executes the functional tests.

Tested on Saucy and 12.04 with Havana Cloud Archive OK.

Changed in glance (Ubuntu):
status: New → In Progress
assignee: nobody → Chuck Short (zulcss)
importance: Undecided → High
summary: - Glance test suite failure on precise.
+ Glance test suite failure on precise due to bypass of upstream test
+ wrapper
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glance - 1:2013.2~rc1-0ubuntu2

---------------
glance (1:2013.2~rc1-0ubuntu2) saucy; urgency=low

  [ Chuck Short ]
  * debian/rules: Run the full testsuite using the upstream wrapper including
    functional tests for glance, also fixes test failures on Ubuntu 12.04 with
    Havana Cloud Archive (LP: #1236376).
 -- James Page <email address hidden> Tue, 08 Oct 2013 13:55:49 +0100

Changed in glance (Ubuntu Saucy):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers